% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/pip.R
\name{pip_citation}
\alias{pip_citation}
\title{Return citation for a given version}
\source{
\url{https://pip.worldbank.org/api}
}
\usage{
pip_citation(release_version = NULL, ppp_version = NULL, version = NULL)
}
\arguments{
\item{release_version}{(\code{character(1)}) version of the data release in YYYYMMDD
format. Default \code{NULL}.}

\item{ppp_version}{(\code{character(1)} | \code{numeric(1)}) version of the data.
Default \code{NULL}.}

\item{version}{(\code{character(1)}) version of the data. Default \code{NULL}.}
}
\value{
A \code{data.frame()} with the citation.
}
\description{
Return citation for a given version
}
\examples{
\donttest{
pip_citation()
}
}
\seealso{
Other poverty and inequality statistics: 
\code{\link{pip_aux}()},
\code{\link{pip_data}()},
\code{\link{pip_group}()},
\code{\link{pip_health_check}()},
\code{\link{pip_info}()},
\code{\link{pip_valid_params}()},
\code{\link{pip_versions}()}
}
\concept{poverty and inequality statistics}
