% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/indicators.R
\name{wb_lending_type}
\alias{wb_lending_type}
\title{World Bank lending type data}
\source{
\url{https://api.worldbank.org/v2/lendingTypes}
}
\usage{
wb_lending_type(type = NULL, lang = "en")
}
\arguments{
\item{type}{(\code{character()}) lending type to query. Default \code{NULL}.
If \code{NULL}, all types are returned.}

\item{lang}{(\code{character(1)}) language to query. Default \code{"en"}.}
}
\value{
A \code{data.frame()} with the available lending types. The columns are:
\item{id}{The lending type ID.}
\item{iso2code}{The ISO 2 code of the lending type.}
\item{value}{The lending type value.}
}
\description{
List all lending types supported by the World Bank API.
}
\examples{
wb_lending_type()
}
\seealso{
Other indicators data: 
\code{\link{wb_country}()},
\code{\link{wb_income_level}()},
\code{\link{wb_indicator}()},
\code{\link{wb_language}()},
\code{\link{wb_region}()},
\code{\link{wb_source}()},
\code{\link{wb_topic}()}
}
\concept{indicators data}
